Bug 231311 - [NEW PORT] x11-fonts/open-sans: Add the Open Sans font
Summary: [NEW PORT] x11-fonts/open-sans: Add the Open Sans font
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Tobias Kortkamp
URL: https://www.opensans.com
Keywords:
Depends on:
Blocks:
 
Reported: 2018-09-11 20:09 UTC by Florian Limberger
Modified: 2019-09-13 09:15 UTC (History)
1 user (show)

See Also:


Attachments
Patch to add the open-sans font (3.83 KB, patch)
2018-09-11 20:09 UTC, Florian Limberger
no flags Details | Diff
Patch to add the open-sans font (3.90 KB, patch)
2018-11-01 12:00 UTC, Florian Limberger
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Florian Limberger 2018-09-11 20:09:47 UTC
Created attachment 197032 [details]
Patch to add the open-sans font

Open Sans is a clean and modern sans-serif typeface designed by Steve Matteson and commissioned by Google. It is especially designed for legibility across print, web, and mobile interfaces.
Comment 1 Florian Limberger 2018-11-01 12:00:16 UTC
Created attachment 198844 [details]
Patch to add the open-sans font

Make patch conform to portlint rules.
Comment 2 Martin Wilke freebsd_committer 2019-01-06 16:00:26 UTC
Take.
Comment 3 Xin LI freebsd_committer 2019-08-17 03:51:14 UTC
(In reply to Martin Wilke from comment #2)
ping?
Comment 4 commit-hook freebsd_committer 2019-09-13 09:15:28 UTC
A commit references this bug:

Author: tobik
Date: Fri Sep 13 09:15:13 UTC 2019
New revision: 511917
URL: https://svnweb.freebsd.org/changeset/ports/511917

Log:
  New port: x11-fonts/open-sans

  Open Sans is a clean and modern sans-serif typeface designed by
  Steve Matteson and commissioned by Google.  It is especially designed
  for legibility across print, web, and mobile interfaces.

  WWW: https://www.opensans.com

  PR:		231311
  Submitted by:	Florian Limberger <flo@snakeoilproductions.net>

Changes:
  head/x11-fonts/Makefile
  head/x11-fonts/open-sans/
  head/x11-fonts/open-sans/Makefile
  head/x11-fonts/open-sans/distinfo
  head/x11-fonts/open-sans/pkg-descr
  head/x11-fonts/open-sans/pkg-plist
Comment 5 Tobias Kortkamp freebsd_committer 2019-09-13 09:15:50 UTC
Committed. Thanks!